--- title: "Get subnet list" slug: "analytics-vpcsearchengine-cluster-getsubnetlist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subnet list Available in VPC Get the list of available subnets. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getSubnetList (Korea Region) | | GET | /api/sgn-v2/cluster/getSubnetList (Singapore Region) | | GET | /api/jpn-v2/cluster/getSubnetList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-vpcsearchengine-cluster-getosproductlist). | | `vpcNo` | Integer | Required | VPC number - See [Get VPC list](/docs/en/analytics-vpcsearchengine-cluster-getvpclist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getSubnetList?softwareProductCode=SW.VELST.OS.LNX64.ROCKY.0808.B050&vpcNo=93***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.content` | Array | - | Subnet list: [content](/docs/en/analytics-vpcsearchengine-cluster-getsubnetlist#content) | | `requestId` | String | - | ID for the request - UUID format | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `isPublic` | Boolean | - | Whether it is a public subnet - `true` \| `false` - `true`: public subnet - `false`: private subnet | | `statusCode` | String | - | Subnet status | | `subnet` | String | - | Subnet's IPv4 CIDR block | | `subnetName` | String | - | Subnet name | | `subnetNo` | Integer | - | Subnet number | | `vpcName` | String | - | VPC name | | `vpcNo` | Integer | - | VPC number | | `zoneName` | String | - | Zone name | | `zoneNo` | Integer | - | Zone number | | `permission` | String | - | Sub account availability - `Allow` \| `Deny` - `Allow`: available - `Deny`: unavailable - If it is `Deny`, it becomes available when granting the [getSubnetDetail](/docs/en/networking-vpc-subnetmanagement-getsubnetdetail) permission to the sub account. | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "content": [ { "isPublic": false, "statusCode": "RUN", "subnet": "10.0.20.0/24", "subnetName": "s1-hd-pri", "subnetNo": 20****, "vpcName": "myvpc", "vpcNo": 9****, "zoneName": "KR-2", "zoneNo": 3, "permission": "Allow" }, { "isPublic": true, "statusCode": "RUN", "subnet": "10.0.0.0/24", "subnetName": "s1-hd-pub", "subnetNo": 20****, "vpcName": "myvpc", "vpcNo": 9****, "zoneName": "KR-2", "zoneNo": 3, "permission": "Allow" } ] }, "requestId": "b4765a66-****-****-****-0adc09cb2cc7" } ```